Bug 29270 - Use flatpickr and futuredate on reserve/request.tt
Summary: Use flatpickr and futuredate on reserve/request.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 29241
Blocks: 29394
  Show dependency treegraph
 
Reported: 2021-10-19 12:11 UTC by Jonathan Druart
Modified: 2021-11-17 08:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29270: Remove flatpickr instantiation from request.tt (4.23 KB, patch)
2021-10-19 12:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29270: Remove flatpickr instantiation from request.tt (4.28 KB, patch)
2021-10-21 18:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 29270: Remove flatpickr instantiation from request.tt (4.34 KB, patch)
2021-10-24 10:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29270: Expiration date must be in future (1.15 KB, patch)
2021-11-17 08:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29270: start_for is actually date_to (1.32 KB, patch)
2021-11-17 08:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-10-19 12:11:59 UTC
This template is initiating the flatpickr instance from the template file, it should not.
Comment 1 Jonathan Druart 2021-10-19 12:17:50 UTC
Created attachment 126496 [details] [review]
Bug 29270: Remove flatpickr instantiation from request.tt

The JS code is only used when placing a hold for club BUT the date
inputs are not displayed there.

Test plan:
Place holds for patrons and clubs and confirm that the two date inputs
are working correctly
Comment 2 David Nind 2021-10-21 18:55:43 UTC
Created attachment 126680 [details] [review]
Bug 29270: Remove flatpickr instantiation from request.tt

The JS code is only used when placing a hold for club BUT the date
inputs are not displayed there.

Test plan:
Place holds for patrons and clubs and confirm that the two date inputs
are working correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-24 10:17:08 UTC
Created attachment 126796 [details] [review]
Bug 29270: Remove flatpickr instantiation from request.tt

The JS code is only used when placing a hold for club BUT the date
inputs are not displayed there.

Test plan:
Place holds for patrons and clubs and confirm that the two date inputs
are working correctly

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-25 13:59:06 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Jonathan Druart 2021-11-17 08:04:10 UTC
Created attachment 127706 [details] [review]
Bug 29270: Expiration date must be in future
Comment 6 Jonathan Druart 2021-11-17 08:05:52 UTC
(In reply to Jonathan Druart from comment #5)
> Created attachment 127706 [details] [review] [review]
> Bug 29270: Expiration date must be in future

Pushed to master.
Comment 7 Jonathan Druart 2021-11-17 08:34:26 UTC
Created attachment 127708 [details] [review]
Bug 29270: start_for is actually date_to

The attribute has been renamed in the meanwhile..
Comment 8 Jonathan Druart 2021-11-17 08:36:20 UTC
(In reply to Jonathan Druart from comment #7)
> Created attachment 127708 [details] [review] [review]
> Bug 29270: start_for is actually date_to
> 
> The attribute has been renamed in the meanwhile..

Pushed to master.